<?php
	/* Template Name: Latest news
	*/
?>

<?php get_header(); ?>
			<p><?php include ("includes/logo.inc.php"); ?></p>
			<?php include ("includes/navi-social.inc.php"); ?>
		</div>
	</div>

	<nav class="hide">
		<div id="navi-cats" class="clear">
			<div class="wrap">
				<ul>
					<li><a href="<?php echo  get_site_url(); ?>/latest-news/" class="active"><?php _e("Latest", 'storini'); ?></a></li>
					<?php include ("includes/navi-cats.inc.php"); ?>
				</ul>
			</div>
		</div>
		<!--/navi-cats-->
	</nav>

	<div id="navi-global" class="clear archive-title">
		<a href="#nav" class="navi-link mobile"><?php _e("Menu", 'storini'); ?></a>
		<header class="clear theme-bg">
			<div class="wrap">
				<h2><?php _e("Local", 'storini'); ?><?php if(get_field('location', 'option')): ?> <?php the_field('location', 'option'); ?><?php endif; ?> <?php _e("news", 'storini'); ?></h2>
				<h3><?php _e("Latest headlines", 'storini'); ?></h3>
			</div>
		</header>
		<?php include ("includes/navi-global.inc.php"); ?>

	<?php if ( get_field('advertising', 'option') && get_field('twitter', 'option') ) : ?>
		<?php query_posts('showposts=16'); ?>
	<?php elseif ( get_field('advertising', 'option') || get_field('twitter', 'option') ) : ?>
		<?php query_posts('showposts=17'); ?>
	<?php else : ?>
		<?php query_posts('showposts=18'); ?>
	<?php endif ?>

	<?php if(have_posts()): ?>
	<section id="tiles" class="clear">
		<div class="wrap">

			<?php if( get_field('advertising', 'option') ) { ?>
			<div class="ads tile">
				<?php include ("includes/ad-one.inc.php"); ?>
				<?php include ("includes/ad-two.inc.php"); ?>
			</div>
			<?php } else { ?>
			<?php } ?>

			<?php get_template_part( 'loop', 'single' ); ?>

			<?php if( get_field('twitter', 'option') ) { ?>
			<div class="tweet-move tweet tile">
				<div class="tweet-feed"></div><!--/twitter feed-->
				<a href="https://twitter.com/<?php the_field('twitter', 'option'); ?>" class="twitter-follow-button" data-show-count="false" data-size="large"><?php _e("Follow", 'storini'); ?> @<?php the_field('twitter', 'option'); ?></a>
			</div>
			<?php } ?>

			<div class="clear">
				<?php if(function_exists('wp_paginate')) { wp_paginate(); } ?>
			</div>

		</div>
	</section>
	<?php endif; ?>
	<!--/tiles-->

	<?php include ("includes/footer.inc.php"); ?>

</div>
<!--/container-->

<?php include ("includes/navi-mobile.inc.php"); ?>

<?php include ("includes/js.inc.php"); ?>

<!--JS only needed for this page-->

<?php if( get_field('twitter', 'option') ) { ?><script src="<?php bloginfo('template_url'); ?>/js/jquery.tweet.js"></script><?php } else { ?><?php } ?>
<script src="<?php bloginfo('template_url'); ?>/js/jquery.flexslider-min.js"></script>
<script>
<?php if( get_field('twitter', 'option') ) { ?>
// TWEET FEED
$(".tweet-feed").tweet({
	modpath: '<?php bloginfo('template_url'); ?>/twitter/',
	username: "<?php the_field('twitter', 'option'); ?>",
	avatar_size: 0,
	count: 1
});
<?php } else { ?>
<?php } ?>


// Script for home page block sort
jQuery(document).ready(function(){
	// Get total blocks
	var pos	  = $('#tiles .tile').length;
	console.log("total blocks " + pos);
	
	// Get total row 
	var rows  = (pos%3 == 0 )? (pos/3) : parseInt(pos/3) + 1; 
	console.log("total rows " + rows);
	
	// Get midle row
	var mid_rows  = (rows%2 != 0 )? Math.round(rows/2) : parseInt(rows/2); 
	console.log("mid rows " + mid_rows);
	
	// Get center position of blocks
	var pos	  = (mid_rows * 3) - 2;
	console.log("position of blocks " + pos);
	
	// move tweet block to center position
	$('#tiles .tweet-move').insertAfter('#tiles .tile:nth-child('+ pos +')');
});
</script>


<style type="text/css">
	
	@media(min-width:690px){ .tweet-move{margin-right:30px;} .tweet-move .tweet_text {word-wrap: break-word;}}
	


	@media only screen 
	and (min-device-width : 768px) 
	and (max-device-width : 1024px) 
	and (orientation : portrait) {  #tiles .wrap{width:85.98%} }

@media only screen 
	and (min-device-width : 768px) 
	and (max-device-width : 1024px) 
	and (orientation : landscape) {  #tiles .wrap{width:auto;} .tweet-move{margin-right:30px;} }

</style>
<?php if( get_field('twitter', 'option') ) { ?><script src="http://platform.twitter.com/widgets.js"></script><?php } else { ?><?php } ?>

<!--/-->
<?php get_footer(); ?>
